# Uses of Class
org.apache.felix.framework.Logger

Packages that use Logger
Package
Description
org.apache.felix.framework
org.apache.felix.framework.cache
org.apache.felix.framework.resolver
org.apache.felix.framework.util
org.apache.felix.framework.util.manifestparser

## Uses of Logger in org.apache.felix.framework

Methods in org.apache.felix.framework that return Logger
Modifier and Type
Method
Description
`Logger`
ServiceRegistry.`getLogger()`
Constructors in org.apache.felix.framework with parameters of type Logger
Modifier
Constructor
Description
``
`BundleClassLoader(BundleWiringImpl wiring, ClassLoader parent, Logger logger)`
``
`BundleClassLoaderJava5(BundleWiringImpl wiring, ClassLoader parent, Logger logger)`
``
`ServiceRegistry(Logger logger, ServiceRegistry.ServiceRegistryCallbacks callbacks)`

## Uses of Logger in org.apache.felix.framework.cache

Methods in org.apache.felix.framework.cache that return Logger
Modifier and Type
Method
Description
`Logger`
BundleArchiveRevision.`getLogger()`
Returns the logger for this revision.
Constructors in org.apache.felix.framework.cache with parameters of type Logger
Modifier
Constructor
Description
``
`BundleArchive(Logger logger, Map configMap, WeakZipFileFactory zipFactory, File archiveRootDir)`
This constructor is called when an archive for a bundle is being reconstructed when the framework is restarted.
``
`BundleArchive(Logger logger, Map configMap, WeakZipFileFactory zipFactory, File archiveRootDir, long id, int startLevel, String location, InputStream is)`
This constructor is used for creating new archives when a bundle is installed into the framework.
``
`BundleArchiveRevision(Logger logger, Map configMap, File revisionRootDir, String location)`
This class is abstract and cannot be created.
``
`BundleCache(Logger logger, Map configMap)`
``
`DirectoryContent(Logger logger, Map configMap, WeakZipFileFactory zipFactory, Object revisionLock, File rootDir, File dir)`
``
`JarContent(Logger logger, Map configMap, WeakZipFileFactory zipFactory, Object revisionLock, File rootDir, File file, WeakZipFileFactory.WeakZipFile zipFile)`

## Uses of Logger in org.apache.felix.framework.resolver

Constructors in org.apache.felix.framework.resolver with parameters of type Logger
Modifier
Constructor
Description
``
`ResolverImpl(Logger logger)`

## Uses of Logger in org.apache.felix.framework.util

Methods in org.apache.felix.framework.util with parameters of type Logger
Modifier and Type
Method
Description
`static Map<String,String>`
Util.`getDefaultPropertiesWithPrefix(Logger logger, String prefix)`
`static String`
Util.`getDefaultProperty(Logger logger, String name)`
`static Properties`
Util.`loadDefaultProperties(Logger logger)`
Constructors in org.apache.felix.framework.util with parameters of type Logger
Modifier
Constructor
Description
``
`EventDispatcher(Logger logger, ServiceRegistry registry)`

## Uses of Logger in org.apache.felix.framework.util.manifestparser

Methods in org.apache.felix.framework.util.manifestparser with parameters of type Logger
Modifier and Type
Method
Description
`static NativeLibraryClause`
NativeLibraryClause.`parse(Logger logger, String s)`
`static List<BundleRequirement>`
ManifestParser.`parseDynamicImportHeader(Logger logger, BundleRevision owner, String header)`
`static List<BundleCapability>`
ManifestParser.`parseExportHeader(Logger logger, BundleRevision owner, String header, String bsn, Version bv)`
Constructors in org.apache.felix.framework.util.manifestparser with parameters of type Logger
Modifier
Constructor
Description
``
`ManifestParser(Logger logger, Map configMap, BundleRevision owner, Map headerMap)`